## fmtools 0.2.1

=== Makefile ===
# fmtools Makefile - just the basics for now

CC = gcc
CFLAGS = -g -Wall

all : fm

fm : fm.c
	$(CC) $(CFLAGS) -o fm fm.c -lm

clean : 
	rm -f *~ *.o fm

## fmtools 0.99.0

=== Makefile ===
# fmtools Makefile - just the basics for now

CC	= gcc
CFLAGS	= -Wall -O2

all : fm fmscan

fm : fm.c
	$(CC) $(CFLAGS) -o fm fm.c -lm

fmscan : fmscan.c
	$(CC) $(CFLAGS) -o fmscan fmscan.c -lm

clean : 
	rm -f *~ *.o fm fmscan

devices :
	mknod /dev/radio0 c 81 64
	ln -s /dev/radio0 /dev/radio

## fmtools 0.99.1-1

=== debian/changelog ===
fmtools (0.99.1-1) unstable; urgency=low

  * New upstream release.

  * Don't use kernel headers.  Closes: #223161.

 -- Ben Pfaff <pfaffben@debian.org>  Sat,  6 Dec 2003 22:38:53 -0800

fmtools (0.99.0-1) unstable; urgency=low

  * New upstream version.  Closes: 90705

 -- Ben Pfaff <pfaffben@msu.edu>  Sun, 25 Mar 2001 15:54:07 -0500

fmtools (0.2.1-2) unstable; urgency=low

  * Redo with debhelper.  Closes: #91157.

 -- Ben Pfaff <pfaffben@msu.edu>  Sun, 25 Mar 2001 12:16:45 -0500

fmtools (0.2.1-1) unstable; urgency=low

  * New upstream source.
  
  * Fix copyright file.

 -- Ben Pfaff <pfaffben@pilot.msu.edu>  Thu, 30 Jul 1998 11:30:24 -0400

fmtools (0.2.0-1) unstable; urgency=low

  * Added Debian control files.

  * Put in my VIDEO_TUNER_LOW fix.

 -- Ben Pfaff <pfaffben@pilot.msu.edu>  Fri, 10 Jan 1997 15:06:38 -0500

Local Variables:
mode:debian-changelog
End:

=== debian/control ===
Source: fmtools
Section: sound
Priority: extra
Maintainer: Ben Pfaff <pfaffben@debian.org>
Standards-Version: 3.5.2.0
Build-Depends: debhelper (>= 3.0)

Package: fmtools
Architecture: any
Depends: ${shlibs:Depends}
Description: FM radio tuner
 Command-line utility for adjusting the frequency and volume and
 muting and unmuting FM radio cards.

## fmtools 1.0

=== debian/changelog ===
fmtools (1.0) unstable; urgency=low

  * New upstream release.  Now a native Debian package.

 -- Ben Pfaff <pfaffben@debian.org>  Sat,  4 Sep 2004 12:20:06 -0700

fmtools (0.99.1-4) unstable; urgency=low

  * Fix doubled manpages in 0.99.1-2.  Oops!

 -- Ben Pfaff <pfaffben@debian.org>  Sun, 15 Aug 2004 17:08:54 -0700

fmtools (0.99.1-2) unstable; urgency=low

  * Patch from "Gregory P. Smith" <greg-debian@electricrain.com> to add
    user-definable threshold to fmscan.  Modified patch slightly to match
    the command-line argument a float instead of an int.  Closes: #264500.

 -- Ben Pfaff <pfaffben@debian.org>  Sun, 15 Aug 2004 16:56:20 -0700

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: sound
 Priority: extra
 Maintainer: Ben Pfaff <pfaffben@debian.org>
-Standards-Version: 3.5.2.0
+Standards-Version: 3.6.1.0
 Build-Depends: debhelper (>= 3.0)
 
 Package: fmtools

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# Modified for fmtools by Ben Pfaff.
# This file is public domain software, originally written by Joey Hess. 

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatibility version to use.
export DH_COMPAT=3

build: build-stamp
build-stamp:
	dh_testdir

	$(MAKE)

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs usr/bin
	install -s fm fmscan debian/fmtools/usr/bin

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs README
	dh_installexamples
	dh_installmenu
	dh_installcron
	dh_installman fm.1 fmscan.1
	dh_installinfo
	dh_installchangelogs CHANGES
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## fmtools 1.0.2

=== debian/changelog ===
fmtools (1.0.2) unstable; urgency=low

  * New upstream release.

 -- Ben Pfaff <pfaffben@debian.org>  Thu, 23 Nov 2006 13:43:02 -0800

fmtools (1.0.1) unstable; urgency=low

  * New upstream release: 

    Make fm able to sleep for a user-specified time, or forever, after
    applying settings.  This makes fm usable with radio tuner drivers
    that turn off the radio after the fd used for tuning is closed.

    Idea and patch from Dave Ulrick <d-ulrick@insightbb.com>.
  
  * Upgrade to debhelper V5.
    
 -- Ben Pfaff <pfaffben@debian.org>  Sat,  7 Oct 2006 13:35:35 -0700

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: sound
 Priority: extra
 Maintainer: Ben Pfaff <pfaffben@debian.org>
-Standards-Version: 3.6.1.0
-Build-Depends: debhelper (>= 3.0)
+Standards-Version: 3.7.2
+Build-Depends: debhelper (>= 5.0)
 
 Package: fmtools
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -5,9 +5,6 @@
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
-
-# This is the debhelper compatibility version to use.
-export DH_COMPAT=3
 
 build: build-stamp
 build-stamp:

## fmtools 1.0.3

=== Makefile ===
# fmtools Makefile - just the basics for now

CC	= gcc
CFLAGS	= -Wall -O2

INSTALL	= /usr/bin/install

# Since fmtools doesn't use configure, these paths are provided here
# to make packaging easier.  Just override them when doing 'make install'.

BINPATH	= $(DESTDIR)/usr/local/bin
BINMODE = 0755
MANPATH = $(DESTDIR)/usr/local/man/man1
MANMODE = 0644

TARGETS	= fm fmscan

all: $(TARGETS)

fm: fm.c
	$(CC) $(CFLAGS) -o fm fm.c -lm

fmscan: fmscan.c
	$(CC) $(CFLAGS) -o fmscan fmscan.c -lm

clean: 
	rm -f *~ *.o $(TARGETS)

install: all install-bin install-man

install-bin:
	if (test ! -d $(BINPATH)); \
	then \
		mkdir -p $(BINPATH); \
	fi
	for f in $(TARGETS) ; do \
		$(INSTALL) -m $(BINMODE) $$f $(BINPATH); \
	done

install-man:
	if (test ! -d $(MANPATH)); \
	then \
		mkdir -p $(MANPATH); \
	fi
	for f in $(TARGETS) ; do \
		$(INSTALL) -m $(MANMODE) $$f.1 $(MANPATH); \
	done	

devices:
	mknod /dev/radio0 c 81 64
	ln -s /dev/radio0 /dev/radio

=== debian/changelog ===
fmtools (1.0.3) unstable; urgency=low

  * Don't unconditionally strip binary.  Closes: #436845.  Thanks to
    Julien Danjou <acid@debian.org> for reporting this bug.
  
  * Fix lintian warning on "-$(MAKE) clean" in debian/rules.

 -- Ben Pfaff <pfaffben@debian.org>  Thu, 09 Aug 2007 08:33:13 -0700

=== debian/rules ===
--- 
+++ 
@@ -20,7 +20,7 @@
 	rm -f build-stamp
 
 	# Add here commands to clean up after the build process.
-	-$(MAKE) clean
+	$(MAKE) clean
 
 	dh_clean
 
@@ -29,7 +29,7 @@
 	dh_testroot
 	dh_clean -k
 	dh_installdirs usr/bin
-	install -s fm fmscan debian/fmtools/usr/bin
+	install fm fmscan debian/fmtools/usr/bin
 
 # Build architecture-independent files here.
 binary-indep: build install

## fmtools 1.0.4

=== debian/changelog ===
fmtools (1.0.4) unstable; urgency=low

  * Fix interpretation of volume argument to fm program to match the
    documentation.  Closes: #448310.  Thanks to Andreas Hartmann
    <andi@ahash.de> for reporting this bug.

 -- Ben Pfaff <pfaffben@debian.org>  Sun, 04 Nov 2007 12:51:43 -0800

## fmtools 1.0.4.1

=== debian/changelog ===
fmtools (1.0.4.1) unstable; urgency=low

  * control: Improve short description.  Closes: #493617.  Thanks to Barry
    deFreese <bddebian@comcast.net> for reporting the problem.

 -- Ben Pfaff <pfaffben@debian.org>  Mon, 11 Aug 2008 22:17:32 -0700

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 Package: fmtools
 Architecture: any
 Depends: ${shlibs:Depends}
-Description: FM radio tuner
+Description: Utility for managing FM tuner cards
  Command-line utility for adjusting the frequency and volume and
  muting and unmuting FM radio cards.

## fmtools 2.0.3

=== debian/changelog ===
fmtools (2.0.3) unstable; urgency=low

  * debian/control: Add armel to Architectures, since Debian buildds use
    that architecture even though Debian policy does not mention it.
  
  * debian/source/format: Add and initialize to 1.0.

 -- Ben Pfaff <pfaffben@debian.org>  Sat, 01 May 2010 11:52:24 -0700

fmtools (2.0.2) unstable; urgency=low

  * debian/control: Limit Architecture: to Linux, since this is a
    Linux-specific package.

 -- Ben Pfaff <pfaffben@debian.org>  Sat, 27 Mar 2010 10:51:43 -0700

fmtools (2.0.1) unstable; urgency=low

  * New upstream release.  The new release uses Automake, so a "configure"
    command had to be added to "rules".
  
  * Update to Debhelper 7.
  
  * Update to newer Debian policy version.

 -- Ben Pfaff <pfaffben@debian.org>  Sat, 09 Jan 2010 13:30:15 -0800

=== debian/control ===
Source: fmtools
Section: sound
Priority: extra
Maintainer: Ben Pfaff <pfaffben@debian.org>
Standards-Version: 3.8.3
Build-Depends: debhelper (>= 7.0)

Package: fmtools
Architecture: i386 ia64 alpha amd64 armeb armel arm hppa m32r m68k mips mipsel powerpc ppc64 s390 s390x sh3 sh3eb sh4 sh4eb sparc
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: FM radio tuner
 Command-line utility for adjusting the frequency and volume and
 muting and unmuting FM radio cards.

## fmtools 2.0.5

=== debian/changelog ===
fmtools (2.0.5) unstable; urgency=low

  * Build fmtools properly from "make dist" generated tarball.  Closes:
    #604766.  Thanks to Sebastian Andrzej Siewior
    <sebastian@breakpoint.cc> for reporting the problem.

 -- Ben Pfaff <pfaffben@debian.org>  Wed, 24 Nov 2010 05:27:04 -0800

fmtools (2.0.4) unstable; urgency=low

  * debian/control: Use "linux-any" wildcard for architecture, instead of
    listing all the GNU/Linux architectures by hand as before.  Closes:
    #604683.  Thanks to Konstantinos Margaritis <markos@genesi-usa.com>
    for reporting the problem.

 -- Ben Pfaff <pfaffben@debian.org>  Tue, 23 Nov 2010 09:39:14 -0800

=== debian/control ===
Source: fmtools
Section: sound
Priority: extra
Maintainer: Ben Pfaff <pfaffben@debian.org>
Standards-Version: 3.8.3
Build-Depends: debhelper (>= 7.0)

Package: fmtools
Architecture: linux-any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: FM radio tuner
 Command-line utility for adjusting the frequency and volume and
 muting and unmuting FM radio cards.

=== debian/rules ===
--- 
+++ 
@@ -10,6 +10,7 @@
 build-stamp:
 	dh_testdir
 
+	./configure --prefix=/usr --sysconfdir=/etc --libexecdir=/usr/lib
 	$(MAKE)
 
 	touch build-stamp
@@ -18,18 +19,15 @@
 	dh_testdir
 	dh_testroot
 	rm -f build-stamp
-
-	# Add here commands to clean up after the build process.
-	$(MAKE) clean
-
+	[ ! -f Makefile ] || $(MAKE) distclean
 	dh_clean
 
 install: build
 	dh_testdir
 	dh_testroot
-	dh_clean -k
+	dh_prep
 	dh_installdirs usr/bin
-	install fm fmscan debian/fmtools/usr/bin
+	install -s fm fmscan debian/fmtools/usr/bin
 
 # Build architecture-independent files here.
 binary-indep: build install
@@ -45,7 +43,7 @@
 	dh_installcron
 	dh_installman fm.1 fmscan.1
 	dh_installinfo
-	dh_installchangelogs CHANGES
+	dh_installchangelogs
 	dh_link
 	dh_strip
 	dh_compress

## fmtools 2.0.7build1

=== debian/changelog ===
fmtools (2.0.7build1) bionic; urgency=high

  * No change rebuild to pick up -fPIE compiler default

 -- Balint Reczey <rbalint@ubuntu.com>  Tue, 03 Apr 2018 12:23:18 +0000

fmtools (2.0.7) unstable; urgency=low

  * New upstream release.

 -- Ben Pfaff <pfaffben@debian.org>  Sat, 21 Sep 2013 16:35:03 -0700

fmtools (2.0.6) unstable; urgency=low

  * New upstream release.
  
  * rules: Replace by trivial three-line "dh" version.
  
  * control: Upgrade to policy 3.9.4.

  * Upgrade to debhelper 9 (no changes necessary).

 -- Ben Pfaff <pfaffben@debian.org>  Sat, 14 Sep 2013 14:41:58 -0700

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: fmtools
 Section: sound
 Priority: extra
-Maintainer: Ben Pfaff <pfaffben@debian.org>
-Standards-Version: 3.8.3
-Build-Depends: debhelper (>= 7.0)
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Ben Pfaff <pfaffben@debian.org>
+Standards-Version: 3.9.4
+Build-Depends: debhelper (>= 9.0)
 
 Package: fmtools
 Architecture: linux-any

## fmtools 2.0.8

=== debian/changelog ===
fmtools (2.0.8) unstable; urgency=medium

  * Orphan package.

  * Update to policy 4.5.1.0.  This only required changing priority from
    "extra" to "optional".

  * Upgrade to debhelper 13 by using dependency on debhelper-compat
    instead of using debian/compat.  No other changes needed.

  * debian/rules: Enable "bindnow" hardening (suggested by Lintian).

 -- Ben Pfaff <blp@cs.stanford.edu>  Sun, 13 Dec 2020 13:17:17 -0800

=== debian/control ===
Source: fmtools
Section: sound
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Standards-Version: 4.5.1.0
Build-Depends: debhelper-compat (= 13)

Package: fmtools
Architecture: linux-any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: FM radio tuner
 Command-line utility for adjusting the frequency and volume and
 muting and unmuting FM radio cards.

## fmtools 2.0.8%2Breally2.0.7

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,12 @@
 Section: sound
 Priority: optional
 Maintainer: Debian QA Group <packages@qa.debian.org>
-Standards-Version: 4.5.1.0
+Standards-Version: 4.7.0
 Build-Depends: debhelper-compat (= 13)
+Homepage: https://benpfaff.org/fmtools/
+Vcs-Browser: https://salsa.debian.org/debian/fmtools
+Vcs-Git: https://salsa.debian.org/debian/fmtools.git
+Rules-Requires-Root: no
 
 Package: fmtools
 Architecture: linux-any

## fmtools 2.0.8+really2.0.7

=== debian/changelog ===
fmtools (2.0.8+really2.0.7-4) experimental; urgency=medium

  * QA upload.
  * debian/salsa-ci.yml: Add to provide CI tests for Salsa. 
  * debian/tests/control: Create autopkgtest.

 -- Felype Augusto Barcellos Ribeiro <felypebarcellos@gmail.com>  Mon, 30 Jun 2025 22:37:38 -0300

fmtools (2.0.8+really2.0.7-3) unstable; urgency=medium

  * QA upload.

  * Updated d/control and d/copyright with new project home, and
    added d/watch.

 -- Petter Reinholdtsen <pere@debian.org>  Sun, 28 Apr 2024 08:20:57 +0200

fmtools (2.0.8+really2.0.7-2) unstable; urgency=medium

  * QA upload.

  * Updated vcs in d/control to Salsa.
  * Added d/gbp.conf to enforce the use of pristine-tar.
  * Updated Standards-Version from 4.5.1.0 to 4.7.0.
  * Added d/control flag to build without root.

 -- Petter Reinholdtsen <pere@debian.org>  Tue, 23 Apr 2024 01:42:19 +0200

fmtools (2.0.8+really2.0.7-1) unstable; urgency=medium

  * QA upload.
  * Convert to 3.0 (quilt) format. Closes: #1007601.
  * d/copyright: Convert to machine-readable format.

 -- Bastian Germann <bage@debian.org>  Tue, 29 Nov 2022 16:52:53 +0100

=== debian/tests/control ===
Test-Command: fm -h | grep '^fmtools fm version'
Restrictions: superficial

Test-Command: fmscan -h | grep '^fmtools fmscan version'
Restrictions: superficial
